function val = get(self,varargin)
if (nargin == 1)
    val = char('dim - topological dimension, 1=curve, 2=surface, 3=solid',...
        'faceconn - face connectivities',...
        get(self.gcell));
    return;
else
    prop_name=varargin{1};
    switch prop_name
        case 'dim'
            val = 3; % three-dimensional
        case 'faceconn'
            conn=get(self.gcell,'conn');
            val = [conn([1, 3, 2]);conn([1, 2, 4]);conn([2, 3, 4]);conn([1, 4, 3])];
        otherwise
            val = get(self.gcell, prop_name);
    end
end

