% Draw the basis vector of the global Cartesian coordinate system as
% arrows, red, green, and blue.
function draw_axes(self, options)
ax=get(self.figure,'CurrentAxes');
a=abs(get(ax,'XLim'));
a=a+abs(get(ax,'YLim'));
a=a+abs(get(ax,'ZLim'));
a=sum(a)/10;
draw_arrow(self, [0 0 0], [a  0 0], struct('color','red'));
draw_arrow(self, [0 0 0], [0  a 0], struct('color','green'));
draw_arrow(self, [0 0 0], [0  0 a], struct('color','blue'));
return;

